//------------------------------------------------------------------------------
// Lamp : Open source game middleware
// Copyright (C) 2004  Junpei Ohtani ( Email : junpee@users.sourceforge.jp )
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

/** @file
 * 全てのグラフィックステスト実装
 * @author Junpee
 */

#include "Test/stdafx.h"
#include "Graphics/GraphicsAllTests.h"

#include "Graphics/Primitive/GraphicsPrimitiveAllTests.h"
#include "Graphics/Shader/GraphicsShaderAllTests.h"
#include "Graphics/Scene/GraphicsSceneAllTests.h"
#include "Graphics/Fog/GraphicsFogAllTests.h"
#include "Graphics/SceneNode/GraphicsSceneNodeAllTests.h"
#include "Graphics/Camera/GraphicsCameraAllTests.h"
#include "Graphics/Light/GraphicsLightAllTests.h"
#include "Graphics/Model/GraphicsModelAllTests.h"
#include "Graphics/Mesh/GraphicsMeshAllTests.h"
#include "Graphics/MeshData/GraphicsMeshDataAllTests.h"
#include "Graphics/Material/GraphicsMaterialAllTests.h"
#include "Graphics/Texture/GraphicsTextureAllTests.h"
#include "Graphics/Picture/GraphicsPictureAllTests.h"
#include "Graphics/InputOutput/GraphicsInputOutputAllTests.h"
#include "Graphics/SceneFilter/GraphicsSceneFilterAllTests.h"

//------------------------------------------------------------------------------
// コンストラクタ
GraphicsAllTests::GraphicsAllTests() : TestSuite("GraphicsAllTests"){
	// プリミティブテスト
	addTest(new GraphicsPrimitiveAllTests());
	// シェーダテスト
//	addTest(new GraphicsShaderAllTests());
	// シーンテスト
	addTest(new GraphicsSceneAllTests());
	// フォグテスト
	addTest(new GraphicsFogAllTests());
	// シーンノードテスト
	addTest(new GraphicsSceneNodeAllTests());
	// カメラテスト
	addTest(new GraphicsCameraAllTests());
	// ライトテスト
	addTest(new GraphicsLightAllTests());
	// モデルテスト
	addTest(new GraphicsModelAllTests());
	// メッシュテスト
	addTest(new GraphicsMeshAllTests());
	// メッシュデータテスト
	addTest(new GraphicsMeshDataAllTests());
	// マテリアルテスト
	addTest(new GraphicsMaterialAllTests());
	// テクスチャテスト
	addTest(new GraphicsTextureAllTests());
	// ピクチャテスト
	addTest(new GraphicsPictureAllTests());
	// 入出力テスト
	addTest(new GraphicsInputOutputAllTests());
	// シーンフィルタテスト
	addTest(new GraphicsSceneFilterAllTests());
}
//------------------------------------------------------------------------------
